{% extends 'base.html' %}
{% block content %}
<div class="container">
  <div class="row">
    <div class="col-md-12">
      <center>
        <h1>Create Ticket</h1>
      </center>
    </div>
  </div>
  <div class="row">
    <div class="col-md-8 col-md-offset-2">

      <form action="/create_ticket" method="post">
        <div class="form-group">
          <label for="title">Title</label>
          <input type="text" class="form-control" id="title" name="title" required/>
        </div>
        <div class="form-group">
          <label for="exampleFormControlTextarea">Ticket text</label>
          {% if board %}
            <textarea class="form-control rounded-0" id="exampleFormControlTextarea" rows="15" name="textarea" required>--------------------------&#13;&#10;Board id: {{board.id}} | Board status: {{board.status}}&#13;&#10;--------------------------&#13;&#10;Board Title: {{board.title}}&#13;&#10;--------------------------&#13;&#10;Board Text: {{board.text}}&#13;&#10;--------------------------&#13;&#10;</textarea>
          {% else %}
            <textarea class="form-control rounded-0" id="exampleFormControlTextarea" rows="5" name="textarea" required></textarea>
          {% endif %}
        </div>
        <button type="submit" class="btn btn-primary">Submit</button>
      </form>

    </div>
  </div>
</div>
{% endblock %}
